#include "interface.hpp"

#if PLATFORM == STM
#include "implementations2.hpp"
#endif 

#if PLATFORM == LINUX
#include "implementations.hpp"
#endif 

Device::Device()
	:pImpl(new deviceImpl())
{
}

void Device::printNumber(const uint8_t& no)
{
	pImpl->printNumber(no);
}

Device::~Device()
{

}
